NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.BridgeSurfaceBuilder Class Reference

Represents a NXOpen.Features.BridgeSurface builder More...

Inheritance diagram for NXOpen.Features.BridgeSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ConstructSurfaceBoundaryCurve (bool startBoundary)
 Constructs bridge surface boundary curve More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.FlowDirection 
EdgeFlowDirection [get]
 Returns the flow direction. More...
 
unsafe
NXOpen.GeometricUtilities.TangentMagnitudeBuilder 
EdgeTangentMagnitude [get]
 Returns the edge tangent magnitude More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
FirstEdgeContinuity [get]
 Returns the first edge continuity More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
FirstEdgeOffset [get]
 Returns the first edge offset More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
FirstEdgeRange [get]
 Returns the first edge range More...
 
unsafe NXOpen.SelectNXObject FirstEdgeSelection [get]
 Returns the first edge selection More...
 
unsafe double G0Tolerance [get, set]
 Returns or sets the g0 tolerance More...
 
unsafe double G1Tolerance [get, set]
 Returns or sets the g1 tolerance More...
 
unsafe double G2Tolerance [get, set]
 Returns or sets the g2 tolerance More...
 
unsafe bool IsEndHandlesLinked [get, set]
 Returns or sets the flag indicating if the end handles are linked More...
 
unsafe bool IsFirstEdgeContinuityReversed [get, set]
 Returns or sets the flag indicating if continuity direction at first edge is reversed More...
 
unsafe bool IsFirstEdgeLimitEndToEnd [get, set]
 Returns or sets the flag indicating if the first edge limit is end to end More...
 
unsafe bool IsFirstEdgeReversed [get, set]
 Returns or sets the flag indicating if the first edge direction is reversed More...
 
unsafe bool IsSecondEdgeContinuityReversed [get, set]
 Returns or sets the flag indicating if continuity direction at second edge is reversed More...
 
unsafe bool IsSecondEdgeLimitEndToEnd [get, set]
 Returns or sets the flag indicating if the second edge limit is end to end More...
 
unsafe bool IsSecondEdgeReversed [get, set]
 Returns or sets the flag indicating if the second edge direction is reversed More...
 
unsafe bool IsStartHandlesLinked [get, set]
 Returns or sets the flag indicating if the start handles are linked More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
Rebuild [get]
 Returns the surface rebuild data More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
SecondEdgeContinuity [get]
 Returns the second edge continuity More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
SecondEdgeOffset [get]
 Returns the second edge offset More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
SecondEdgeRange [get]
 Returns the second edge range More...
 
unsafe NXOpen.SelectNXObject SecondEdgeSelection [get]
 Returns the second edge selection More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.BridgeSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateBridgeSurfaceBuilder

Default values.

Property Value

EdgeFlowDirection.FlowDirectionType

NotSpecified

FirstEdgeContinuity.ContinuityType

G1

FirstEdgeRange.AnchorPosition

Start

IsFirstEdgeLimitEndToEnd

0

IsSecondEdgeLimitEndToEnd

0

SecondEdgeContinuity.ContinuityType

G1

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Features.BridgeSurfaceBuilder.ConstructSurfaceBoundaryCurve ( bool  startBoundary)
inline

Constructs bridge surface boundary curve

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
startBoundaryTrue if start boundary and false if end boundary

Property Documentation

unsafe NXOpen.GeometricUtilities.FlowDirection NXOpen.Features.BridgeSurfaceBuilder.EdgeFlowDirection
get

Returns the flow direction.

See NXOpen.GeometricUtilities.FlowDirection for details.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.TangentMagnitudeBuilder NXOpen.Features.BridgeSurfaceBuilder.EdgeTangentMagnitude
get

Returns the edge tangent magnitude

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.BridgeSurfaceBuilder.FirstEdgeContinuity
get

Returns the first edge continuity

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.BridgeSurfaceBuilder.FirstEdgeOffset
get

Returns the first edge offset

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.Features.BridgeSurfaceBuilder.FirstEdgeRange
get

Returns the first edge range

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.BridgeSurfaceBuilder.FirstEdgeSelection
get

Returns the first edge selection

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.BridgeSurfaceBuilder.G0Tolerance
getset

Returns or sets the g0 tolerance

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.BridgeSurfaceBuilder.G1Tolerance
getset

Returns or sets the g1 tolerance

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.BridgeSurfaceBuilder.G2Tolerance
getset

Returns or sets the g2 tolerance

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsEndHandlesLinked
getset

Returns or sets the flag indicating if the end handles are linked

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsFirstEdgeContinuityReversed
getset

Returns or sets the flag indicating if continuity direction at first edge is reversed

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsFirstEdgeLimitEndToEnd
getset

Returns or sets the flag indicating if the first edge limit is end to end

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsFirstEdgeReversed
getset

Returns or sets the flag indicating if the first edge direction is reversed

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsSecondEdgeContinuityReversed
getset

Returns or sets the flag indicating if continuity direction at second edge is reversed

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsSecondEdgeLimitEndToEnd
getset

Returns or sets the flag indicating if the second edge limit is end to end

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsSecondEdgeReversed
getset

Returns or sets the flag indicating if the second edge direction is reversed

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeSurfaceBuilder.IsStartHandlesLinked
getset

Returns or sets the flag indicating if the start handles are linked

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.BridgeSurfaceBuilder.Rebuild
get

Returns the surface rebuild data

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.BridgeSurfaceBuilder.SecondEdgeContinuity
get

Returns the second edge continuity

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.BridgeSurfaceBuilder.SecondEdgeOffset
get

Returns the second edge offset

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.Features.BridgeSurfaceBuilder.SecondEdgeRange
get

Returns the second edge range

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.BridgeSurfaceBuilder.SecondEdgeSelection
get

Returns the second edge selection

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.